org.thewonderlemming.c4plantuml.testbed.mojo

## Class TestLog

- java.lang.Object
- - org.thewonderlemming.c4plantuml.testbed.mojo.TestLog

- All Implemented Interfaces:
    org.apache.maven.plugin.logging.Log

      public class TestLog
      extends Object
      implements org.apache.maven.plugin.logging.Log

  A SLF4J implementation of the `Log` class.

  It is a singleton.

  Author:
    thewonderlemming

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TestLog` | `INSTANCE` The singleton instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(CharSequence content)`
    `void` | `debug(CharSequence content, Throwable error)`
    `void` | `debug(Throwable error)`
    `void` | `error(CharSequence content)`
    `void` | `error(CharSequence content, Throwable error)`
    `void` | `error(Throwable error)`
    `void` | `info(CharSequence content)`
    `void` | `info(CharSequence content, Throwable error)`
    `void` | `info(Throwable error)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `warn(CharSequence content)`
    `void` | `warn(CharSequence content, Throwable error)`
    `void` | `warn(Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final TestLog INSTANCE

      The singleton instance.

  - ### Method Detail

    - #### debug

          public void debug(CharSequence content)

      Specified by:
        `debug` in interface `org.apache.maven.plugin.logging.Log`

    - #### debug

          public void debug(CharSequence content,
                            Throwable error)

      Specified by:
        `debug` in interface `org.apache.maven.plugin.logging.Log`

    - #### debug

          public void debug(Throwable error)

      Specified by:
        `debug` in interface `org.apache.maven.plugin.logging.Log`

    - #### error

          public void error(CharSequence content)

      Specified by:
        `error` in interface `org.apache.maven.plugin.logging.Log`

    - #### error

          public void error(CharSequence content,
                            Throwable error)

      Specified by:
        `error` in interface `org.apache.maven.plugin.logging.Log`

    - #### error

          public void error(Throwable error)

      Specified by:
        `error` in interface `org.apache.maven.plugin.logging.Log`

    - #### info

          public void info(CharSequence content)

      Specified by:
        `info` in interface `org.apache.maven.plugin.logging.Log`

    - #### info

          public void info(CharSequence content,
                           Throwable error)

      Specified by:
        `info` in interface `org.apache.maven.plugin.logging.Log`

    - #### info

          public void info(Throwable error)

      Specified by:
        `info` in interface `org.apache.maven.plugin.logging.Log`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `org.apache.maven.plugin.logging.Log`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `org.apache.maven.plugin.logging.Log`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `org.apache.maven.plugin.logging.Log`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `org.apache.maven.plugin.logging.Log`

    - #### warn

          public void warn(CharSequence content)

      Specified by:
        `warn` in interface `org.apache.maven.plugin.logging.Log`

    - #### warn

          public void warn(CharSequence content,
                           Throwable error)

      Specified by:
        `warn` in interface `org.apache.maven.plugin.logging.Log`

    - #### warn

          public void warn(Throwable error)

      Specified by:
        `warn` in interface `org.apache.maven.plugin.logging.Log`

Copyright © 2020. All rights reserved.